@ECHO OFF
  REM ************* Zapewnienie dostatecznego obszaru w Environment ********
if not .%1==.- %comspec% /e:1700 /c%0 - %1 %2 %3 %4 %5 %6 %7 %8 %9
if not .%1==.- goto koniec
shift

  REM ************* Rozpoczecie, gdy jest juz duzy Environment *************
:start
SET TEXT=XXXXXXXXXXXXXXXXXXXXX
SET TEXT2=XXXXXXXXXXXXXXXXXXXXX
SET INS_PATH=XXXXXXXXXXXXXXXXXXXX

  REM ****** Winieta na przywitanie ******
cls
echo. P O L M A X                 Wroclaw, 2001 rok
echo. 53-015 Wroclaw,  ul. Karkonoska 59           
echo. tel/fax (0-71) 3399571;  
echo.
echo =============================================================================
echo            Instalacja polskiej wersji dla sieci  "LANtastic 6.0"
echo =============================================================================
echo.
echo 1. Instalacja wymaga wywolania z katalogu polskiej wersji od POLMAX
echo 2. Program moze byz zainstalowany na dysku lokalnym lub sieciowym
echo 3. Instalacja dziala na zasadzie wymiany wersji anielskiej na polska dla
echo    nastepujacych programow:
echo     -  NET,  NET_MGR, helpy dla NRSETUP, AILANBIO, LANCHECK, LED   dla DOS-a
echo     - WNET, WNET_MGR             dla WINDOWS
echo 4. Wykonaj zatem najpierw zwykla instalacje LANtastic w wersji angielskiej !!
echo 5. Po zainstalowaniu LANtastic wroc do tej instalacji i podaj katalog umiej-
echo    scowienia sieci, np.:   C:\LANTASTI
echo 6. Pierwotna wersja angielska zostanie zachowana w katalogu C:\LANTASTI\ANG
echo.
choice Czy chcesz wykonac teraz instalacje (T)ak lub (N)ie:   /c:tn /n
if errorlevel 255  goto old_dos
if errorlevel   3  goto rezygnacja
if errorlevel   2  goto rezygnacja

if not exist instaluj.bat  goto no_net
if not exist nnn.exe       goto no_net
if not exist lant60pl.exe  goto no_net

  REM Pobranie nazwy katalogu docelowego instalacji, np.:   C:\LANTASTI
echo.
echo.
echo Wpisz katalog do instalacji i nacisnij ENTER, lub tylko ENTER dla C:\LANTASTI
echo.
NNN STRING INS_PATH ?"Podaj katalog instalacji:  "
if .%INS_PATH%==.  SET INS_PATH=C:\LANTASTI

cls
echo Czekaj ...
  REM Usuniecie zbednych spacji koncowych ze zmiennej  %INS_PATH%
set t=X
set test1=%INS_PATH%
set INS_PATH=
:ag_INS_PATH
set test2=%test1%
NNN STRING/LEFT=1/RIGHT=1     t %test1%
NNN STRING/LEFT=2         test1 %test1%
set INS_PATH=%INS_PATH%%t%
if not %test2%==%test1%  goto ag_INS_PATH

  REM Sprawdzenie czy istnieje juz tam jakas wersja LANtastic'a
cls
if exist %INS_PATH%\net*.*  goto jest_lan
echo.Nie istnieje w '%INS_PATH%' wczesniej zainstalowany LANtastic !
echo.
echo.
echo.Bedziesz prawdopodobnie sam musial podawac sciezke dostepu do tego katalogu.
echo.
echo Nie instaluj do tego katalogu wersji zwyklej angielskiej, gdyz przepisze
echo to wersje polska
echo.
echo.
echo Nacisnij cos, gdy przeczytales ...
pause > nul
goto instalacja

  REM Sprawdzenie czy w poprzedniej instalacji polskiej wersji zabezpieczono
  REM oryginalna wersje angielska w katalogu ...\ANG  ???
:jest_lan
md %INS_PATH%\ANG
cls
if not exist %INS_PATH%\ANG\ang_zab.$  goto zab_lan
echo.Zabezpieczono juz angielska wersje LANtastic w katalogu %INS_PATH%\ANG
echo.
echo.Nie bede tego robil powtornie, gdyz skasowaloby to oryginalna wersje angielska
echo Zatem, przejde teraz do czesci zasadniczej. Zycz mi szczescia!
echo.
echo.
echo Nacisnij cos, gdy przeczytales ...
pause > nul
goto kasowanie

  REM Zachowanie poprzedniej wersji LANtastic'a w katalogu \LANTASTI\ANG
:zab_lan
echo Zachowam poprzednia wersje LANtastic w katalogu:   '%INS_PATH%\ANG'
echo.
choice Czy zachowac poprzednia wersje (T)ak (N)ie (R)ezygnacja:   /c:tnr /n
if errorlevel 4 goto rezygnacja
if errorlevel 3 goto rezygnacja
if errorlevel 2 goto instalacja

  REM Skopiowanie zbiorow pierwotnych (angielskich) w bezpieczne miejsce.
md %INS_PATH%\ANG
echo Zabezpieczono! > %INS_PATH%\ANG\ang_zab.$
COPY %INS_PATH%\NET*.EXE    %INS_PATH%\ANG
COPY %INS_PATH%\WNET*.EXE   %INS_PATH%\ANG
COPY %INS_PATH%\WMGRC*.EXE  %INS_PATH%\ANG
COPY %INS_PATH%\*.MNU       %INS_PATH%\ANG
COPY %INS_PATH%\*.HLP       %INS_PATH%\ANG
COPY %INS_PATH%\SRV*.DLL    %INS_PATH%\ANG
COPY %INS_PATH%\WIN*.DLL    %INS_PATH%\ANG
COPY %INS_PATH%\NRSETUP.EXE %INS_PATH%\ANG

  REM Kasowanie pierwotnych zbiorow, po skopiowaniu, aby nie pytal sie
  REM czy je powielac podczas rozpakowywania.
:kasowanie
DEL  %INS_PATH%\NET*.EXE
DEL  %INS_PATH%\WNET*.EXE
DEL  %INS_PATH%\WMGRC*.EXE
DEL  %INS_PATH%\*.MNU
DEL  %INS_PATH%\ALONE.HLP
DEL  %INS_PATH%\LANCHECK.HLP
DEL  %INS_PATH%\LED.HLP
DEL  %INS_PATH%\NRSETUP.HLP
DEL  %INS_PATH%\NET*.HLP
DEL  %INS_PATH%\WNET*.HLP
DEL  %INS_PATH%\SRV*.DLL
DEL  %INS_PATH%\WINUTIL.DLL
DEL  %INS_PATH%\NRSETUP.EXE


  REM Wywolanie wlasciwego instalatora
:instalacja
cls
echo Teraz rozpakuje odpowiednie zbiory do   %INS_PATH%
echo.
LANT60PL %INS_PATH%
if errorlevel 1 goto pause
cls
echo Dobrze!
echo Jest zainstalowana polska wersja dla LANtastic 6.0 w katalogu: %INS_PATH%
echo.
echo Polska wersja standardowo jest obslugiwana w polskich znakach zestawu:  LATIN2
echo Wywoluje sie ja za pomoca standardowych komend systemu LANtastic,
echo np.  'NET'  i  'NET_MGR'
echo.
echo Jesli nie chcesz uzywac polskich liter w standardzie LATIN2, to w katalogu
echo '%INS_PATH%'  sa zainstalowane odpowiedniki bez polskich znakow, wywolywane
echo za pomoca komend:   'NET1'   i    'NET_MGR1'
echo.
echo Natomiast obsluga w systemie WINDOWS nie wymaga uruchamiania innych komend.
NNN STRING/LEFT=1/RIGHT=2 TEXT %INS_PATH%
NNN STRING/LEFT=3 TEXT2 %INS_PATH%
%TEXT%
CD %TEXT2%
goto pause


:no_net
echo.
echo Napisz INSTALUJ z dyskietki instalujacej polska wersje LANtastic 6.0  !!!
echo.
echo Na przyklad napisz:   "A:"   a pozniej:   "INSTALUJ"
goto pause

:old_dos
echo.
echo Makro INSTALUJ.BAT nie bedzie dzialalo prawidlowo pod DOS-em ver. 3.30
echo.
echo Mozesz jednak wykonac instalacje samodzielnie, piszac:   LANT60PL
echo.
goto pause

:rezygnacja
echo.
echo Rezygnacja !

:pause
echo.
echo.
echo Nacisnij cokolwiek, gdy przeczytales ...
pause > nul
goto koniec

:koniec

